<template>
    <hc-new-dialog is-table widths="1200px" :show="isShow" title="添加分解清单" @save="modalSave" @close="modalClose">
        <hc-table
            :column="tableColumn" :datas="tableData" :loading="tableLoading"
            is-new :index-style="{ width: 60 }" is-check :check-style="{ width: 29 }"
            @selection-change="tableCheckChange"
        />
    </hc-new-dialog>
</template>

<script setup>
import { ref, watch } from 'vue'

const props = defineProps({
    ids: {
        type: [String, Number],
        default: '',
    },
})

//事件
const emit = defineEmits(['finish', 'close'])

//双向绑定
// eslint-disable-next-line no-undef
const isShow = defineModel('modelValue', {
    default: false,
})

//监听
watch(() => [
    props.ids,
], ([ids]) => {
    console.log('ids', ids)
}, { immediate: true })

//监听
watch(isShow, (val) => {
    if (val) {
        console.log('处理数据')
    }
})
//表格数据
const tableLoading = ref(false)
const tableColumn = [
    { key: 'key1', name: '清单编号' },
    { key: 'key2', name: '清单名称' },
    { key: 'key3', name: '单价(元)' },
    { key: 'key4', name: '合同数量' },
    { key: 'key5', name: '合同变更后数量' },
    { key: 'key6', name: '施工图变更后数量' },
    { key: 'key7', name: '分解剩余量' },
]
const tableData = ref([
    { key1: '1111' },
])

//表格选择
const tableCheckChange = (checks) => {
    console.log(checks)
}
const modalSave = () => {
    emit('finish')
    modalClose()
}
const modalClose = () => {
    isShow.value = false
    emit('close')
}
</script>

<style scoped lang="scss">

</style>
